Page MenuHomePhabricator

Extension Contest failing tests due to missing apihelp messages
Closed, ResolvedPublic

Description

See https://integration.wikimedia.org/ci/job/mwext-testextension-hhvm-non-voting/1624/console

14:44:27 There were 12 failures:
14:44:27 
14:44:27 1) ApiDocumentationTest::testDocumentationExists with data set "Module query+challenges with MiserMode=false, AllowCategorizedRecentChanges=false" ('query+challenges', array(false, false))
14:44:27 Module description message apihelp-query+challenges-description exists
14:44:27 Failed asserting that false is true.
14:44:27 
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/maintenance/doMaintenance.php:111
14:44:27 
14:44:27 2) ApiDocumentationTest::testDocumentationExists with data set "Module query+challenges with MiserMode=true, AllowCategorizedRecentChanges=true" ('query+challenges', array(true, true))
14:44:27 Module description message apihelp-query+challenges-description exists
14:44:27 Failed asserting that false is true.
14:44:27 
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/maintenance/doMaintenance.php:111
14:44:27 
14:44:27 3) ApiDocumentationTest::testDocumentationExists with data set "Module query+contestants with MiserMode=false, AllowCategorizedRecentChanges=false" ('query+contestants', array(false, false))
14:44:27 Module description message apihelp-query+contestants-description exists
14:44:27 Failed asserting that false is true.
14:44:27 
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/maintenance/doMaintenance.php:111
14:44:27 
14:44:27 4) ApiDocumentationTest::testDocumentationExists with data set "Module query+contestants with MiserMode=true, AllowCategorizedRecentChanges=true" ('query+contestants', array(true, true))
14:44:27 Module description message apihelp-query+contestants-description exists
14:44:27 Failed asserting that false is true.
14:44:27 
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/maintenance/doMaintenance.php:111
14:44:27 
14:44:27 5) ApiDocumentationTest::testDocumentationExists with data set "Module query+contestcomments with MiserMode=false, AllowCategorizedRecentChanges=false" ('query+contestcomments', array(false, false))
14:44:27 Module description message apihelp-query+contestcomments-description exists
14:44:27 Failed asserting that false is true.
14:44:27 
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/maintenance/doMaintenance.php:111
14:44:27 
14:44:27 6) ApiDocumentationTest::testDocumentationExists with data set "Module query+contestcomments with MiserMode=true, AllowCategorizedRecentChanges=true" ('query+contestcomments', array(true, true))
14:44:27 Module description message apihelp-query+contestcomments-description exists
14:44:27 Failed asserting that false is true.
14:44:27 
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/maintenance/doMaintenance.php:111
14:44:27 
14:44:27 7) ApiDocumentationTest::testDocumentationExists with data set "Module query+contests with MiserMode=false, AllowCategorizedRecentChanges=false" ('query+contests', array(false, false))
14:44:27 Module description message apihelp-query+contests-description exists
14:44:27 Failed asserting that false is true.
14:44:27 
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/maintenance/doMaintenance.php:111
14:44:27 
14:44:27 8) ApiDocumentationTest::testDocumentationExists with data set "Module query+contests with MiserMode=true, AllowCategorizedRecentChanges=true" ('query+contests', array(true, true))
14:44:27 Module description message apihelp-query+contests-description exists
14:44:27 Failed asserting that false is true.
14:44:27 
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/maintenance/doMaintenance.php:111
14:44:27 
14:44:27 9) ApiDocumentationTest::testDocumentationExists with data set "Module deletecontest with MiserMode=false, AllowCategorizedRecentChanges=false" ('deletecontest', array(false, false))
14:44:27 Module description message apihelp-deletecontest-description exists
14:44:27 Failed asserting that false is true.
14:44:27 
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/maintenance/doMaintenance.php:111
14:44:27 
14:44:27 10) ApiDocumentationTest::testDocumentationExists with data set "Module deletecontest with MiserMode=true, AllowCategorizedRecentChanges=true" ('deletecontest', array(true, true))
14:44:27 Module description message apihelp-deletecontest-description exists
14:44:27 Failed asserting that false is true.
14:44:27 
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/maintenance/doMaintenance.php:111
14:44:27 
14:44:27 11) ApiDocumentationTest::testDocumentationExists with data set "Module mailcontestants with MiserMode=false, AllowCategorizedRecentChanges=false" ('mailcontestants', array(false, false))
14:44:27 Module description message apihelp-mailcontestants-description exists
14:44:27 Failed asserting that false is true.
14:44:27 
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/maintenance/doMaintenance.php:111
14:44:27 
14:44:27 12) ApiDocumentationTest::testDocumentationExists with data set "Module mailcontestants with MiserMode=true, AllowCategorizedRecentChanges=true" ('mailcontestants', array(true, true))
14:44:27 Module description message apihelp-mailcontestants-description exists
14:44:27 Failed asserting that false is true.
14:44:27 
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/tests/phpunit/MediaWikiTestCase.php:399
14:44:27 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-non-voting/src/maintenance/doMaintenance.php:111
14:44:27 
14:44:27 FAILURES!

Details

Related Gerrit Patches:
mediawiki/extensions/Contest : masterAdd apihelp messages to pass unit tests

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJan 10 2017, 6:22 PM
divadsn claimed this task.Jan 15 2017, 6:45 PM
divadsn removed divadsn as the assignee of this task.Feb 25 2017, 4:35 PM
divadsn added a subscriber: divadsn.

I have no time to do this, so I let this task open for others.

Umherirrender triaged this task as Medium priority.

Change 369916 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/Contest@master] Add apihelp messages to pass unit tests

https://gerrit.wikimedia.org/r/369916

Change 369916 merged by jenkins-bot:
[mediawiki/extensions/Contest@master] Add apihelp messages to pass unit tests

https://gerrit.wikimedia.org/r/369916

hashar closed this task as Resolved.Aug 6 2017, 3:05 PM